summaryrefslogtreecommitdiffstats
path: root/print/xdvi/pkg-install
diff options
context:
space:
mode:
authorjmz <jmz@FreeBSD.org>1995-04-22 00:14:30 +0000
committerjmz <jmz@FreeBSD.org>1995-04-22 00:14:30 +0000
commitb392f05bed17ff3df3e32b6db773f747b0d99724 (patch)
treefd6a0fed334b5484049a94e05388829abfb99bd3 /print/xdvi/pkg-install
parent80b7dd49cdf4958e29bdf3a5dfaf0dfcc6da394c (diff)
downloadFreeBSD-ports-b392f05bed17ff3df3e32b6db773f747b0d99724.zip
FreeBSD-ports-b392f05bed17ff3df3e32b6db773f747b0d99724.tar.gz
Warn and request confirmation for installing/removing the package. One file
may also be used by dvips; the package is build with some defaults, which may be not wanted by the user (the port IS_INTERACTIVE)
Diffstat (limited to 'print/xdvi/pkg-install')
-rw-r--r--print/xdvi/pkg-install49
1 files changed, 49 insertions, 0 deletions
diff --git a/print/xdvi/pkg-install b/print/xdvi/pkg-install
new file mode 100644
index 0000000..0f2935b
--- /dev/null
+++ b/print/xdvi/pkg-install
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+prefix=/usr/local
+
+if [ "$2" = "POST-INSTALL" ]; then
+ exit 0
+fi
+
+if [ -f $prefix/bin/MakeTeXPK ]; then
+ echo "**WARNING** MakeTeXPK already exists in $prefix/bin"
+ echo "**WARNING** This file will be replaced during install."
+ echo
+ echo -n "do you want to continue ? [y] "
+ read answ; if [ "$answ" = "" ]; then answ=y; fi
+ case $answ in
+ y*|Y*) break;;
+ *) exit 1;;
+ esac
+fi
+
+cat << END
+
+This package has been compiled with some defaults:
+1 fonts will be created in $prefix/lib/texmf/fonts/pk and this
+ directory will be made world writable
+
+2 300 dpi fonts will be created with MODE=imagen
+ 200 dpi fonts will be created with MODE=FAX
+ 360 dpi fonts will be created with MODE=nextII
+ 400 dpi fonts will be created with MODE=nexthi
+ 72 dpi fonts will be created with MODE=nextscreen
+
+If you are not satisfied with 1, you need to recompile xdvi
+If you are not satisfied with 2, you will need to edit $prefix/MakeTeXPK
+
+END
+
+echo -n "do you want to install the package ? [y] "
+read answ; if [ "$answ" = "" ]; then answ=y; fi
+case $answ in
+ y*|Y*) break;;
+ *) exit 1;;
+esac
+
+mkdir -p $prefix/lib/texmf/fonts/pk; chmod 1777 $prefix/lib/texmf/fonts/pk
+
+exit 0
+
+
OpenPOWER on IntegriCloud